Bug 204887 - laptop freezes
laptop freezes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 22:15 EDT by Stefan Seefeld
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2006-08-31 22:15:55 EDT
Description of problem:

My (Dell D600) laptop regularly freezes. This ranges from once in a while
to multiple times per day. Alone this evening it froze about four times
in a row.

Version-Release number of selected component (if applicable):

uname -a reports

Linux quasimodo 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006 i686 i686 i386
GNU/Linux

The /var/log/messages files reveals quite often (though apparently
not always) spurious pcmcia / pccard events just before the freeze.
For example:

Aug 31 21:53:02 quasimodo kernel: pccard: card ejected from slot 1
Aug 31 21:53:03 quasimodo kernel: PCMCIA: socket f7e8b028: *** DANGER *** unable
to remove socket power
Aug 31 21:53:04 quasimodo kernel: pccard: PCMCIA card inserted into slot 1
Aug 31 21:53:04 quasimodo kernel: pcmcia: registering new device pcmcia1.0
Aug 31 21:53:04 quasimodo kernel: pccard: card ejected from slot 1
Aug 31 21:53:04 quasimodo kernel: PCMCIA: socket f7e8b028: *** DANGER *** unable
to remove socket power
Aug 31 21:53:06 quasimodo kernel: pccard: PCMCIA card inserted into slot 1
Aug 31 21:53:06 quasimodo kernel: pcmcia: registering new device pcmcia1.0
Aug 31 21:53:07 quasimodo kernel: pccard: card ejected from slot 1
Aug 31 21:53:08 quasimodo kernel: PCMCIA: socket f7e8b028: *** DANGER *** unable
to remove socket power
Aug 31 21:53:09 quasimodo kernel: pccard: PCMCIA card inserted into slot 1
Aug 31 21:53:09 quasimodo kernel: pccard: card ejected from slot 1


I started observing these freezes after upgrading from FC4 to FC5,
and have since upgraded the kernel multiple times.

Also (just for the record) I replaced my HD right before the FC5
upgrade.

Please let me know if you require more information.
Comment 1 David Lawrence 2006-09-05 11:20:02 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Stefan Seefeld 2006-09-14 08:43:30 EDT
Here are some more findings. The pccard/pcmcia events above seem to be related to
/ caused by the ipw2200 driver I'm using. With trail -f I could observe lots of
them generated when I activated my network.
Hope this is relevant.

Thanks
Comment 3 Stefan Seefeld 2006-09-26 23:26:15 EDT
The following snippet (from my /var/log/messages) shows another trace from just
before a freeze. Could that be an indication of a hardware failure ?

...
Sep 26 23:02:40 quasimodo kernel: pccard: card ejected from slot 1
Sep 26 23:02:41 quasimodo kernel: pccard: PCMCIA card inserted into slot 1
Sep 26 23:02:41 quasimodo kernel: divide error: 0000 [#1]
Sep 26 23:02:41 quasimodo kernel: last sysfs file: /class/net/eth0/carrier
Sep 26 23:02:41 quasimodo kernel: Modules linked in: autofs4 sunrpc arc4
ieee80211_crypt_wep(U) ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables dm_mirror dm_mod video
button battery ac radeon drm ipv6 lp parport_pc parport usblp snd_intel8x0m
snd_intel8x0 snd_ac97_codec snd_ac97_bus tg3 ipw2200(U) ieee80211(U)
ieee80211_crypt(U) snd_seq_dummy ehci_hcd joydev snd_seq_oss snd_seq_midi_event
snd_seq snd_seq_device serio_raw snd_pcm_oss snd_mixer_oss uhci_hcd snd_pcm
snd_timer snd soundcore snd_page_alloc ext3 jbd
Sep 26 23:02:41 quasimodo kernel: CPU:    0
Sep 26 23:02:41 quasimodo kernel: EIP:    0060:[<c056f8b6>]    Tainted: GF     VLI
Sep 26 23:02:41 quasimodo kernel: EFLAGS: 00200202   (2.6.17-1.2174_FC5 #1)
Sep 26 23:02:41 quasimodo kernel: EIP is at yenta_set_mem_map+0x1a4/0x1b5
Sep 26 23:02:41 quasimodo kernel: eax: f881c001   ebx: 000f8200   ecx: 00000000
  edx: f881c000
Sep 26 23:02:41 quasimodo kernel: esi: f7e89000   edi: f7e89050   ebp: 00000078
  esp: f7ed6db8
Sep 26 23:02:41 quasimodo kernel: ds: 007b   es: 007b   ss: 0068
Sep 26 23:02:41 quasimodo kernel: Process pccardd (pid: 331, threadinfo=f7ed6000
task=f7edc550)
Sep 26 23:02:41 quasimodo kernel: Stack: 00000000 000eae60 f7ffc001 c7573000
f7ffc0c0 c04587ee 00005e00 fa200000
Sep 26 23:02:41 quasimodo kernel:        f7e89028 f7e89050 00000000 00000021
c05692f4 f7ffc0c0 00000040 00000002
Sep 26 23:02:41 quasimodo kernel:        00000000 00000126 00000021 c0569439
f7e89028 f7ed6e71 00000002 00000002
Sep 26 23:02:41 quasimodo kernel: Call Trace:
Sep 26 23:02:41 quasimodo kernel:  <c04587ee> cache_alloc_refill+0x259/0x52c 
<c05692f4> set_cis_map+0x8d/0xde
Sep 26 23:02:41 quasimodo kernel:  <c0569439> pcmcia_read_cis_mem+0xf4/0x13e 
<c056956c> read_cis_cache+0xe9/0x198
Sep 26 23:02:42 quasimodo kernel:  <c056970a> pccard_get_next_tuple+0x8a/0x3be 
<c0569b34> pccard_get_first_tuple+0xf6/0x101
Sep 26 23:02:42 quasimodo kernel:  <c0569b85> pccard_read_tuple+0x46/0x88 
<c0560034> cdrom_decode_status+0x214/0x2b4
Sep 26 23:02:42 quasimodo kernel:  <c0569eda> pccard_validate_cis+0x9e/0x1b8 
<c056baea> pcmcia_card_add+0x2b/0x88
Sep 26 23:02:43 quasimodo kernel:  <c06015fe> schedule_timeout+0x8c/0xa0 
<c04238ac> process_timeout+0x0/0x5
Sep 26 23:02:43 quasimodo kernel:  <c056bbb2> ds_event+0x6b/0x87  <c05672ef>
send_event+0x31/0x5e
Sep 26 23:02:43 quasimodo kernel:  <c05676d3> socket_insert+0xc2/0xd3 
<c05679fc> pccardd+0x15d/0x1f5
Sep 26 23:02:43 quasimodo kernel:  <c04186d5> default_wake_function+0x0/0xc 
<c056789f> pccardd+0x0/0x1f5
Comment 4 Dave Jones 2006-10-16 13:43:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Stefan Seefeld 2007-01-30 09:36:33 EST
The original problem appears to have been caused by faulty hardware.
Having got a replacement motherboard, I no longer see the problem,
no matter what kernel I use.
Comment 6 Jon Stanley 2008-01-19 23:37:56 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.